### Class

# Ide LspCodeAction

#### Description

    class Ide.LspCodeAction : Ide.Object {
      parent_instance: IdeObject
    }

No description available.

#### Ancestors

- IdeObject
- GObject

#### Implements

- IdeCodeAction

#### Constructors

###### ide_lsp_code_action_new

No description available.

#### Instance methods

###### ide_lsp_code_action_get_client

Gets the client to use for the code action.

###### ide_lsp_code_action_set_client

No description available.

##### Methods inherited from IdeObject (28)

Please see IdeObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from IdeCodeAction (3)

###### ide_code_action_execute_async

No description available.

###### ide_code_action_execute_finish

No description available.

###### ide_code_action_get_title

No description available.

#### Properties

###### Ide.LspCodeAction:client

No description available.

###### Ide.LspCodeAction:title

No description available.

##### Properties inherited from IdeObject (2)

###### Ide.Object:cancellable

The “cancellable” property is a `GCancellable` that can be used by operations that will be cancelled when the `IdeObject::destroy` signal is emitted on `self`.

Available since: 3.32

###### Ide.Object:parent

The parent `IdeObject`, if any.

Available since: 3.32

#### Signals

##### Signals inherited from IdeObject (1)

###### Ide.Object::destroy

The “destroy” signal is emitted when the object should destroy itself and cleanup any state that is no longer necessary. This happens when the object has been removed from the because it was requested to be destroyed, or because a parent object is being destroyed.

Available since: 3.32

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspCodeActionClass {
      IdeObjectClass parent_class;

    }

###### Class members

`parent_class` |
    IdeObjectClass
| No description available.